<?php
add_shortcode( 'automatic_advanced_image', 'automatic_tp_advanced_image' );
function automatic_tp_advanced_image( $atts, $content=null ){
    extract( shortcode_atts(
        array(
            'layout'      => 'layout4',
            'title'         => '',
            'image'         => '',
            'icon_font' => '',
            'index_box'    => '',
            'link'          =>'',
            'css_animation' =>'',
            'el_class'      => '',
            'css'           => '',
            'btn_title_color' => '',
            'content_align'  => 'ct-left',
            'bg_title_color' => '#74a7cb',
            'auto_text_color' => '#666',
            'auto_title_color' => '#111',

        ),$atts ));
    ob_start();
    $content = wpb_js_remove_wpautop( $content, true );
    $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, '' ), 'automatic_advanced_image', $atts );
    $css_class_anm = automatic_getCSSAnimation( $css_animation );

    $el_class = automatic_extract_class( $el_class );
    if ( $css_class != '' ){
        $el_class .= automatic_extract_class( $css_class );
    }
    if ( $css_class_anm != '' ){
        $el_class = ' '.$css_class_anm;
    }
    //parse link
    $link = ( '||' == $link ) ? '' : $link;
    $link = vc_build_link($link);
    $has_link = false;
    $a_link = '';
    $a_title = $a_target =' ';
    if ( strlen( $link['url'] ) > 0 ){
        $has_link = true;
        $a_link = $link['url'];
        $a_title = $link['title'];
        $a_target = ( strlen($link['target']) > 0 ) ? $link['target'] : '_self';
    }
    ?>
    <div class="automatic-advanced-image<?php echo $el_class; ?> au_fadeIn">
        <?php
        if ( $layout == 'layout4' ) :
            ?>
            <div class="<?php echo esc_attr( $content_align); ?>">
                <div class="box-image">
                    <?php
                        if ( $image !='' ):
                            $images = wp_get_attachment_image_src( $image, 'full' );
                        ?>
                            <img alt="icon" src="<?php echo $images[0]; ?>">
                        <?php
                        endif;
                    ?>
                </div>
				<?php  if( ($a_title != '') && ($a_link != '') ){ echo '<div class="box-content-link">'; }else{ echo '<div class="box-content-notlink">';} echo '<div class="box-ct-wr">'; ?>
                <div class="box-content">
                    <div class="title-ribbon"><h3 class="automatic-title"><?php echo esc_attr( $title );?></h3></div>
                    <div class="text-ct"><?php echo $content;?></div>
                </div>
                <?php
                    if( ($a_title != '') && ($a_link != '') ) :
                ?>
                    <a class="link_banner" style='color: <?php  echo esc_attr( $btn_title_color ); ?>' href="<?php echo esc_attr( $a_link ); ?>" title="<?php echo esc_attr( $a_title ); ?>" target="<?php echo esc_attr( $a_target ); ?>" ><?php echo esc_attr( $a_title ); ?><i class="fa fa-angle-right" aria-hidden="true"></i></a>
                <?php endif; ?>
				<?php  echo '</div></div>'; ?>
			</div>
        <?php endif;
        if ( $layout == 'layout5' ) :
            ?>
            <div class="advanced-5">
                <div class="box-image">
                    <?php
                        if ( $image !='' ):
                            $images = wp_get_attachment_image_src( $image, 'full' );
                        ?>
                            <img alt="icon" src="<?php echo $images[0]; ?>">
                        <?php
                        endif;
                    ?>
                </div>
                <div class="box-content-5">
                    <div class="title-ribbon"><h3 class="automatic-title"><?php echo esc_attr( $title );?></h3></div>
                    <div class="text-ct"><?php echo $content;?></div>
                    <?php
                    if( ($a_title != '') && ($a_link != '') ) :
                    ?>
                        <a class="link_banner" style='color: <?php  echo esc_attr( $btn_title_color ); ?>' href="<?php echo esc_attr( $a_link ); ?>" title="<?php echo esc_attr( $a_title ); ?>" target="<?php echo esc_attr( $a_target ); ?>" ><?php echo esc_attr( $a_title ); ?><i class="fa fa-angle-right" aria-hidden="true"></i></a>
                    <?php endif; ?>
                </div>
            </div>
        <?php endif;
        if ( $layout == 'layout6' ) :
            ?>
            <div class="advanced-6">
                <div class="box-content-6" style='background-color: <?php  echo esc_attr( $bg_title_color ); ?>'>
                    <div class="text-ct-6" style='color: <?php  echo esc_attr( $btn_title_color ); ?>'><?php echo $content;?></div>
                    <?php
                    if( ($a_title != '') && ($a_link != '') ) :
                    ?>
                        <a class="link_banner" style='color: <?php  echo esc_attr( $btn_title_color ); ?>' href="<?php echo esc_attr( $a_link ); ?>" title="<?php echo esc_attr( $a_title ); ?>" target="<?php echo esc_attr( $a_target ); ?>" ><?php echo esc_attr( $a_title ); ?><i class="fa fa-angle-right" aria-hidden="true"></i></a>
                    <?php endif; ?>
                </div>
                <div class="box-image">
                    <?php
                        if ( $image !='' ):
                            $images = wp_get_attachment_image_src( $image, 'full' );
                        ?>
                            <img alt="icon" src="<?php echo $images[0]; ?>">
                        <?php
                        endif;
                    ?>
                </div>
            </div>
            <svg class="clip-svg">
                <defs>
                    <clipPath id="swipe__clip-path" clipPathUnits="objectBoundingBox">
                        <polygon points="0 0, 1 0, 0.6 1, 0 1" />
                    </clipPath>
                </defs>
            </svg>
        <?php endif;
            if ( $layout == 'layout7' ) :
            ?>
            <div class="automatic-page ct-left automatic-banner-page">
                <div class="box-image">
                    <?php
                        if ( $image !='' ):
                            $images = wp_get_attachment_image_src( $image, 'full' );
                        ?>
                            <img alt="icon" src="<?php echo $images[0]; ?>">
                        <?php
                        endif;
                    ?>
                </div>
                <div class="box-content-notlink">
                    <div class="box-ct-wr">
                        <div class="box-content">
                            <div class="title-ribbon"><h3 class="title-auto" style='color: <?php  echo esc_attr( $auto_title_color ); ?>'><?php echo esc_attr( $title );?></h3></div>
                            <div class="text-ct" style='color: <?php  echo esc_attr( $auto_text_color ); ?>'><?php echo $content;?></div>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif;
        if ( $layout == 'layout8' ) :
                if ( $image !='' ):
                    $images = wp_get_attachment_image_src( $image, 'full' );
                endif;
            ?>
        <div class="advanbox-layout8">
            <div class="<?php echo esc_attr( $content_align); ?>" style='background: url("<?php echo $images[0] ; ?>") no-repeat left top;'>

                <?php  if( ($a_title != '') && ($a_link != '') ){ echo '<div class="box-content-link-1">'; }else{ echo '<div class="box-content-notlink-1">';} echo '<div class="box-ct-wr-1">'; ?>
                <div class="box-content-1">
                    <div class="title-ribbon"><h3 class="automatic-title"><?php echo esc_attr( $title );?></h3></div>
                    <div class="text-ct"><?php echo $content;?></div>
                </div>
                <?php
                    if( ($a_title != '') && ($a_link != '') ) :
                ?>
                    <a class="link_banner" style='color: <?php  echo esc_attr( $btn_title_color ); ?>' href="<?php echo esc_attr( $a_link ); ?>" title="<?php echo esc_attr( $a_title ); ?>" target="<?php echo esc_attr( $a_target ); ?>" ><?php echo esc_attr( $a_title ); ?><i class="fa fa-angle-right" aria-hidden="true"></i></a>
                <?php endif; ?>
                <?php  echo '</div></div>'; ?>
            </div>
        </div>
        <?php endif; ?>
    </div>
    <?php
    return ob_get_clean();
}
?>