<?php
/**
*
*/
add_shortcode( 'automatic_list_category', 'automatic_template_list_category' );
function automatic_template_list_category( $atts, $content=null ){
     extract( shortcode_atts(
        array(
            'type' => 'default',
            'image'         => '',
            'cat_product' => '',
            'el_class' => '',
            'css' => '',
        ),$atts ));
    ob_start();
     $content = wpb_js_remove_wpautop( $content, true );
    $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, '' ), 'automatic_list_category', $atts );
    $el_class = automatic_extract_class( $el_class );

    if ( $css_class != '' ){
        $el_class .= automatic_extract_class( $css_class );
    }
    $cl_class = '';
    ?>

    <div class="automatic-product-category <?php echo $el_class; ?> au_fadeIn">
        <?php
            $term = get_term_by('slug', $cat_product, 'product_cat');
            $term_id = $term  -> term_id;
            $term_name = $term  -> name;
            $automatic_term_childs = get_term_children($term_id,'product_cat');
            $automatic_term_childs[] = $term_id;
            $term_link_parent = get_term_link( $term_id );
        ?>
        <?php if ( $type == 'default' ) : ?>
            <div class="row">
                <div class="col-md-6 col-md-12">
                    <?php
                        if ( $image !='' ):
                            $images = wp_get_attachment_image_src( $image, 'full' );
                        ?>
                        <div class="box-image">
                            <img alt="icon" src="<?php echo esc_url( $images[0] ); ?>">
                        </div>
                        <?php
                        endif;
                    ?>
                </div>
                <div class="col-md-6 col-md-12">
                    <div class="list-cate">
                        <div class="automatic-headingtitle">
                            <div class="text-left">
                                <h2><?php echo esc_html( $term_name ); ?></h2>
                            </div>
                        </div>
                        <div class="sub-cat">
                            <?php
                            $taxonomy     = 'product_cat';
                            $orderby      = 'date';
                            $hierarchical = 1;
                            $title        = '';
                            $empty        = 0;
                            $args = array(
                              'taxonomy'     => $taxonomy,
                              'child_of'     => 0,
                              'parent'       => $term_id,
                              'orderby'      => $orderby,
                              'hierarchical' => $hierarchical,
                              'title_li'     => $title,
                              'hide_empty'   => $empty,
                            );
                            $sub_cats1 = get_categories( $args );
                            $i = 0;
                            if($sub_cats1) {
                                echo '<ul class="list-subcat">';
                                foreach($sub_cats1 as $sub_category) {
                                    $i++;
                                    $term_link = get_term_link( $sub_category->term_id );
                                    ?>
                                    <li><a href="<?php echo esc_url( $term_link ); ?>"><?php echo  esc_html( $sub_category->name ); ?></a></li>
                                    <?php
                                    if($i == 5) break;
                                }
                                echo '</ul>';
                            }

                            ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="link-cat" >
                <a href="<?php echo esc_url( $term_link_parent ); ?>" title=""><?php echo esc_html__( 'see all', 'automatic_sc' ); ?><i class="fa fa-angle-right" aria-hidden="true"></i></a>
            </div>
        <?php endif;
        if ( $type == 'list' ) : ?>
            <div class="list-category">
                <ul>
                    <li class="parent-cat"><a href="<?php echo esc_url( $term_link_parent );?>"><?php echo esc_html( $term_name ); ?></a>
                        <?php
                        $taxonomy     = 'product_cat';
                        $orderby      = 'date';
                        $hierarchical = 1;
                        $title        = '';
                        $empty        = 0;
                        $args = array(
                          'taxonomy'     => $taxonomy,
                          'child_of'     => 0,
                          'parent'       => $term_id,
                          'orderby'      => $orderby,
                          'hierarchical' => $hierarchical,
                          'title_li'     => $title,
                          'hide_empty'   => $empty,
                        );
                        $sub_cats1 = get_categories( $args );
                        if($sub_cats1) {
                            echo '<ul class="sub-cat">';
                            foreach($sub_cats1 as $sub_category) {
                                $term_link = get_term_link( $sub_category->term_id );
                                $children = get_term_children( $sub_category->term_id , $taxonomy);
                                if( !empty( $children ) ) {
                                    $cl_has_child = ' cat-child';
                                }else{
                                    $cl_has_child='';
                                }
                                ?>
                                <li class="sub-cat-1<?php echo $cl_has_child; ?>"><a href="<?php echo esc_url( $term_link ) ; ?>"><?php echo  esc_html( $sub_category->name ); ?></a>
                                <?php
                                $args2 = array(
                                  'taxonomy'     => $taxonomy,
                                  'child_of'     => 0,
                                  'parent'       => $sub_category->term_id,
                                  'orderby'      => $orderby,
                                  'hierarchical' => $hierarchical,
                                  'title_li'     => $title,
                                  'hide_empty'   => $empty,
                                );
                                $sub_cats2 = get_categories( $args2 );
                                if ( $sub_cats2 ) :
                                    echo '<ul class="sub-cat-1">';
                                    foreach($sub_cats2 as $sub_category) {
                                        $term_link2 = get_term_link( $sub_category->term_id );
                                        ?>
                                        <li class="sub-cat-2"><a href="<?php echo esc_url( $term_link2 ) ; ?>"><?php echo  esc_html( $sub_category->name ); ?></a></li>
                                        <?php
                                    }
                                    echo '</ul>';
                                endif;
                                ?>
                                </li>
                                <?php
                            }
                            echo '</ul>';
                        }
                        ?>
                    </li>
                </ul>
            </div>
    <?php endif; ?>
    </div>
    <?php
    return ob_get_clean();

}
