<?php
/**
*
*/
add_shortcode( 'automatic_product_dailydeal', 'automatic_template_product_dailydeals' );
function automatic_template_product_dailydeals( $atts ){
    extract( shortcode_atts(
        array(
            'title' =>'',
            'layout' => 'default',
            'type_offer' => 'default',
            'offer_price' => '',
            'offer_date' => '',
            'items_show' => -1,
            'column' => '1',
            'link' => '',
            'el_class' => '',
            'css' => '',
        ),$atts ));
    ob_start();

    $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, '' ), 'automatic_product_dailydeal', $atts );
    $el_class = automatic_extract_class( $el_class );

    if ( $css_class != '' ){
        $el_class .= automatic_extract_class( $css_class );
    }
    $cl_class = '';
    $column_index = 3;
    switch ( $column ) {
        case '1':
            $column_index = 1;
            $cl_class = 'col-xs-12 col-sm-12 col-md-12';
            break;
        case '2':
            $column_index = 2;
            $cl_class = 'col-xs-12 col-sm-6 col-md-6';
            break;
        case '3':
            $column_index = 3;
            $cl_class = 'col-xs-12 col-sm-4 col-md-4';
            break;
        case '4':
            $column_index = 4;
            $cl_class = 'col-xs-12 col-sm-6 col-md-3';
            break;
        case '5':
            $column_index = 5;
            $cl_class = 'col-xs-12 col-sm-15 col-md-15';
            break;

        default:
            $cl_class = '';
            break;
    }
    //parse link
    $link = ( '||' == $link ) ? '' : $link;
    $link = vc_build_link($link);
    $has_link = false;
    $a_link = '';
    $a_title = $a_target =' ';
    if ( strlen( $link['url'] ) > 0 ){
        $has_link = true;
        $a_link = $link['url'];
        $a_title = $link['title'];
        $a_target = ( strlen($link['target']) > 0 ) ? $link['target'] : '_self';
    }
    $show_more = 'not-show-more';
    if ( $a_link != '' ){
        $show_more = 'show-more';
    }
    ?>
    <div class="automatic-product-dailydeals <?php echo $layout.' '.$el_class.' '.$show_more; ?>">
        <?php
        if ( $title != '' ) :
            global $woocommerce;
            $symbol = get_woocommerce_currency_symbol(); 
            ?>
            <div class="shortcode-title wpb_bottom-to-top">
                <h2><?php echo esc_attr( $title );?></h2>
                <?php if ( $type_offer == 'type1' ): ?>
                    <div class="txt-save"><span><?php echo esc_html_e('Save','automatic_sc').' '.esc_attr( $symbol ).' '.esc_attr( number_format($offer_price, 2, '.', ' ') ); ?></span></div>
                <?php endif; ?>
                <?php if ( $type_offer == 'type2' ): ?>
                    <div class="settime text-center">
                        <div class="settime-box">
                            <i class="fa fa-clock-o" aria-hidden="true"></i><span id="future_date_1" data-endate="<?php echo esc_attr( $offer_date ); ?>"></span>
                        </div>
                    </div>
                <?php endif; ?> 
            </div>
            <?php
        endif;
        ?>
        <div class="dailydeals-product">
            <?php if ( $type_offer == 'type2' && $a_link != ''): ?>
                <a class="more-special-offers" href="<?php echo esc_attr( $a_link );?>" target="<?php echo esc_attr( $a_target );?>" title="<?php echo esc_attr( $a_title );?>"></a>
            <?php endif; ?>
            <div class="slide-product-deals initSlide_product" data-columns="<?php echo $column_index; ?>">
                <div class="beans-stepslider" data-rotate="true">
                    <div class="beans-mask">
                        <div class="beans-slideset">
                            <?php
                            global $wpdb;
                            $table_name = $wpdb->prefix.'groupdeal1';
                            if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") == $table_name) {
                                if( $items_show != '' && $items_show >0) :
                                    $results = $wpdb->get_results( 'SELECT * FROM '.$table_name.' LIMIT '.$items_show.'', OBJECT );
                                else :
                                    $results = $wpdb->get_results( 'SELECT * FROM '.$table_name, OBJECT );
                                endif;
                                foreach ( $results as $result ) {
																	$datetime1 = new DateTime($result->date_end);
																	$datetime2 = new DateTime(date('Y-m-d'));
																	$interval = $datetime1->diff($datetime2);
																	$date_exit = $interval->format('%R%a');
																	if ( $date_exit <= 0 ) {
																		$_pf = new WC_Product_Factory();
																		$_product = $_pf->get_product( $result->pid);
																		$price = get_post_meta( $result->pid , '_regular_price', true);
																		$sale =$price - $result->offer_val;
																		$discount = 0;
																		if ( $sale != '' && $price != '') :
																				$discount = number_format( 100 - ($sale*100)/$price ,0,",","");
																		endif;
																		if ( $type_offer == 'default' ): ?>
																			<div class="beans-slide">
																				<div class="padding-15">
																					<div class="new-product" data-id="<?php echo ( $result->pid); ?>">
																						<article class="product type-product">
																							<div class="item-product">
																								<div class="row">
																									<div class="col-xs-12 col-md-6">
																										<div class="relative">
																											<div class="product-img">
																												<a href="<?php echo get_the_permalink( $result->pid ); ?>"><?php echo get_the_post_thumbnail( $result->pid,'automatic-image-product' ); ?></a>
																											</div>
																											<?php
																												if ( metadata_exists( 'post', $result->pid, '_wc_average_rating' ) && get_post_meta( $result->pid, '_wc_average_rating', true ) != 0 ) {
																													$automatic_rate_result =  (string) floatval( get_post_meta( $result->pid, '_wc_average_rating', true ) );
																													$automatic_rate_ave = "";
																													if (($automatic_rate_result < 3 && $automatic_rate_result > 0)) {
																														$automatic_rate_ave = "rate_red";
																													}
																													elseif (($automatic_rate_result < 4 && $automatic_rate_result >= 3)) {
																														$automatic_rate_ave = "rate_yellow";
																													}
																													elseif (($automatic_rate_result <= 5 && $automatic_rate_result >= 4)) {
																														$automatic_rate_ave = "rate_blue";
																													} 
																												?>
																												<span class="rating-product <?php echo  $automatic_rate_ave; ?>">
																												<i class="automaticicon-rate"></i><?php echo $automatic_rate_result; ?>
																												</span>
																											<?php } ?>
																										</div>
																										<div class="term-product">
																										<?php
																												if ( $sale != '' ) :
																														?>
																														<div class="info-alert">
																																<span class="automatic-title">-<?php echo $discount;?>%</span>
																														</div>
																												<?php
																												elseif ( $product->is_featured() ) :
																														echo '<div class="info-alert"><span class="automatic-title">'.esc_html__('Hot','automatic_sc').'</span></div>';
																												endif;
																												?>
																										</div>
																									</div>
																									<div class="col-xs-12 col-md-6">
																										<div class="relative">
																											<div class="product-title product-title-has-rate">
																												<h2><a href="<?php echo get_the_permalink( $result->pid ); ?>"><?php echo get_the_title( $result->pid );; ?></a></h2>
																												<?php
																												if ( metadata_exists( 'post', $result->pid, '_wc_average_rating' ) && get_post_meta( $result->pid, '_wc_average_rating', true ) != 0 ) {
																														$automatic_rate_result =  (string) floatval( get_post_meta( $result->pid, '_wc_average_rating', true ) );
																														$automatic_rate_ave = "";
																														if (($automatic_rate_result < 3 && $automatic_rate_result > 0)) {
																																$automatic_rate_ave = "rate_red";
																														}
																														elseif (($automatic_rate_result < 4 && $automatic_rate_result >= 3)) {
																																$automatic_rate_ave = "rate_yellow";
																														}
																														elseif (($automatic_rate_result <= 5 && $automatic_rate_result >= 4)) {
																																$automatic_rate_ave = "rate_blue";
																														}

																													?>
																												<span class="rating-product <?php echo  $automatic_rate_ave; ?>">
																												<i class="automaticicon-rate"></i><?php echo $automatic_rate_result; ?>
																												</span>
																											<?php } ?>
																											</div>
																											<div class="term-product">
																												<?php
																												$terms = get_the_terms( $result->pid, 'product_cat' );
																												if(is_array($terms)){
																													echo '<ul class="terms-product">'; 
																													foreach ($terms as $term) {
																														$term_link = get_term_link( $term );
																														echo '<li><a href="' . esc_url( $term_link ) .'" title="'.$term->name.'">'.esc_attr( $term->name ).'</a></li>';
																													}
																													echo '</ul>';
																												}
																												?>
																											</div>
																											<span class="price"><?php echo $_product->get_price_html(); ?></span>
																											<div class="automatic_stock">
																											<?php automatic_product_stock($_product); ?>
																											</div>
																										</div>
																									</div>
																								</div>
																								<div class="divider-line1"></div>
																								<div class="settime text-center">
																										<div><p><span><?php echo esc_html_e( 'Hurry Up!','automatic_sc');?></span> <?php echo esc_html_e( 'Offer ends in','automatic_sc');?>:</p></div>
																										<div class="settime-box">
																												<span id="future_date_<?php echo ($result->pid); ?>" data-endate="<?php echo str_replace( '-','/',$result->date_end ); ?>"></span>
																										</div>
																								</div>
																							</div>
																						</article>
																					</div>
																				</div>
																			</div>
																			<?php
																		endif;
																	if ( $type_offer == 'type1' ):
																		if ( $result->offer_type == 'price' && $result->offer_val == $offer_price){
																				?>
																				<div class="beans-slide">
																						<div class="padding-15">
																								<div class="new-product" data-id="<?php echo ( $result->pid); ?>">
																										<article class="product type-product">
																												<div class="item-product">
																														<div class="row">
																															<div class="col-xs-12 col-md-6">
																																<div class="relative">
																																	<div class="product-img">
																																		<a href="<?php echo get_the_permalink( $result->pid ); ?>"><?php echo get_the_post_thumbnail( $result->pid,'automatic-image-product' ); ?></a>
																																	</div>
																																	<?php
																																	if ( $sale != '' ) : 	?>
																																		<div class="info-alert">
																																			<span class="automatic-title">-<?php echo $discount;?>%</span>
																																		</div>
																																	<?php
																																	elseif ( $product->is_featured() ) :
																																		echo '<div class="info-alert"><span class="automatic-title">'.esc_html__('Hot','automatic_sc').'</span></div>';
																																	endif;
																																	?>
																																</div>
																															</div>
																																<div class="col-xs-12 col-md-6">
																																		<div class="relative">
																																				<?php
																																					if ( metadata_exists( 'post', $result->pid, '_wc_average_rating' ) && get_post_meta( $result->pid, '_wc_average_rating', true ) != 0 ) {
																																						?>
																																						<div class="product-title product-title-has-rate">
																																							<h2><a href="<?php echo get_the_permalink( $result->pid ); ?>"><?php echo get_the_title( $result->pid );; ?></a></h2>
																																								<?php
																																								if ( metadata_exists( 'post', $result->pid, '_wc_average_rating' ) && get_post_meta( $result->pid, '_wc_average_rating', true ) != '' ) {
																																									$automatic_rate_result =  (string) floatval( get_post_meta( $result->pid, '_wc_average_rating', true ) );
																																									$automatic_rate_ave = "";
																																									if (($automatic_rate_result < 3 && $automatic_rate_result > 0)) {
																																										$automatic_rate_ave = "rate_red";
																																									}
																																									elseif (($automatic_rate_result < 4 && $automatic_rate_result >= 3)) {
																																										$automatic_rate_ave = "rate_yellow";
																																									}
																																									elseif (($automatic_rate_result <= 5 && $automatic_rate_result >= 4)) {
																																										$automatic_rate_ave = "rate_blue";
																																									} 
																																								?>
																																								<span class="rating-product <?php echo  $automatic_rate_ave; ?>">
																																								<i class="automaticicon-rate"></i><?php echo $automatic_rate_result; ?>
																																								</span>
																																							<?php } ?>
																																						</div>
																																					<?php } else { ?>
																																						<div class="product-title">
																																							<h2><a href="<?php echo get_the_permalink( $result->pid ); ?>"><?php echo get_the_title( $result->pid );?></a></h2>
																																						</div>
																																					<?php } ?>
																																				<div class="term-product">
																																						<?php
																																						$terms = get_the_terms( $result->pid, 'product_cat' );
																																						if(is_array($terms)){
																																								echo '<ul class="terms-product">';

																																								foreach ($terms as $term) {
																																										$term_link = get_term_link( $term );
																																										echo '<li><a href="' . esc_url( $term_link ) .'" title="'.$term->name.'">'.esc_attr( $term->name ).'</a></li>';
																																								}
																																								echo '</ul>';
																																						}
																																						?>
																																				</div>
																																				<span class="price"><?php echo $_product->get_price_html(); ?></span>
																																				<div class="automatic_stock">
																																				<?php automatic_product_stock($_product); ?>
																																				</div>
																																		</div>
																																		<?php if ( $column_index == 1 ) : ?>
																																		<div class="divider-line1"></div>
																																		<div class="settime text-left settime-for-1">
																																				<div class="txt-alert"><p><span><?php echo esc_html_e( 'Hurry Up!','automatic_sc');?></span> <?php echo esc_html_e( 'Offer ends in','automatic_sc');?>:</p></div>
																																				<div class="settime-box">
																																						<span id="future_date_<?php echo ($result->pid); ?>" data-endate="<?php echo str_replace( '-','/',$result->date_end ); ?>"></span>
																																				</div>
																																		</div>
																																<?php endif; ?>
																																</div>
																														</div>
																														<?php if ( $column_index > 1 ) : ?>
																																<div class="divider-line1"></div>
																																<div class="settime text-center">
																																		<div><p><span><?php echo esc_html_e( 'Hurry Up!','automatic_sc');?></span> <?php echo esc_html_e( 'Offer ends in','automatic_sc');?>:</p></div>
																																		<div class="settime-box">
																																				<span id="future_date_<?php echo ($result->pid); ?>" data-endate="<?php echo str_replace( '-','/',$result->date_end ); ?>"></span>
																																		</div>
																																</div>
																														<?php endif; ?>
																												</div>
																										</article>
																								</div>
																						</div>
																				</div>
																				<?php
																		}
																	endif;
																	if ( $type_offer == 'type2' ):
																			$date_now = strtotime(date("Y-m-d"));
																			$first_date = strtotime($result->date_end);
																			$offer_date = strtotime(str_replace("/","-",$offer_date));
																			$datediff = abs($first_date - $date_now);
																			$date_limit = floor($datediff / (60*60*24));

																			$datediff_1 = abs($offer_date - $date_now);
																			$date_limit_1 = floor($datediff_1 / (60*60*24));

																			if ( $date_limit-$date_limit_1 <= 0 ) :
																			?>
																				<div class="beans-slide">
																					<div class="padding-15">
																						<div class="new-product" data-id="<?php echo ( $result->pid); ?>">
																							<article class="product type-product <?php echo esc_attr( $type_offer ); ?>">
																								<div class="item-product">
																									<div class="row">
																										<div class="col-xs-12 col-md-4">
																											<div class="relative">
																												<div class="product-img">
																													<a href="<?php echo get_the_permalink( $result->pid ); ?>"><?php echo get_the_post_thumbnail( $result->pid,'automatic-image-product' ); ?></a>
																												</div>
																												<?php
																												if ( $sale != '' ) :
																												?>
																													<div class="info-alert">
																														<span class="automatic-title">-<?php echo $discount;?>%</span>
																													</div>
																												<?php
																												elseif ( $product->is_featured() ) :
																													echo '<div class="info-alert"><span class="automatic-title">'.esc_html__('Hot','automatic_sc').'</span></div>';
																												endif;
																												?>
																											</div>
																										</div>
																										<div class="col-xs-12 col-md-8">
																											<div class="relative">
																												<div class="product-title product-title-has-rate">
																													<h2><a href="<?php echo get_the_permalink( $result->pid ); ?>"><?php echo get_the_title( $result->pid );; ?></a></h2>
																													<?php
																													if ( metadata_exists( 'post', $result->pid, '_wc_average_rating' ) && get_post_meta( $result->pid, '_wc_average_rating', true ) != 0 ) {
																															$automatic_rate_result =  (string) floatval( get_post_meta( $result->pid, '_wc_average_rating', true ) );
																															$automatic_rate_ave = "";
																															if (($automatic_rate_result < 3 && $automatic_rate_result > 0)) {
																																	$automatic_rate_ave = "rate_red";
																															}
																															elseif (($automatic_rate_result < 4 && $automatic_rate_result >= 3)) {
																																	$automatic_rate_ave = "rate_yellow";
																															}
																															elseif (($automatic_rate_result <= 5 && $automatic_rate_result >= 4)) {
																																	$automatic_rate_ave = "rate_blue";
																															}

																														?>
																													<span class="rating-product <?php echo  $automatic_rate_ave; ?>">
																													<i class="automaticicon-rate"></i><?php echo $automatic_rate_result; ?>
																													</span>
																														<?php
																													}?>
																												</div>
																												<span class="price"><?php echo $_product->get_price_html(); ?></span>
																												<div class="automatic_stock">
																												<?php automatic_product_stock($_product); ?>
																												</div>
																											</div>
																										</div>
																									</div>
																								</div>
																							</article>
																						</div>
																					</div>
																				</div>
																			<?php
																			endif;
																	endif;
																}
															}
                            }
                            ?>
                        </div>
                    </div>
                    <a class="btn-prev" href="#"><i class="fa fa-angle-left"></i></a>
                    <a class="btn-next" href="#"><i class="fa fa-angle-right"></i></a>
                </div>
            </div>
        </div>
    </div>
    <?php
    return ob_get_clean();

}