<?php
add_action('widgets_init', 'automatic_register_sidebars');

function automatic_register_sidebars() {

	register_sidebar(array(
			'name' => esc_html__('General Sidebar', 'automatic'),
			'id' => 'general-sidebar',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => "</aside>",
			'before_title' => '<h2 class="widget-title-category">',
			'after_title' => '</h2>',
	));

	register_sidebar( array(
			'name' => esc_html__('Blog Sidebar', 'automatic'),
			'id' => 'blog-sidebar',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => "</aside>",
			'before_title' => '<h2 class="widget-title">',
			'after_title' => '</h2>',
	) );
	register_sidebar(array(
		'name' => esc_html__('Newsletter', 'automatic'),
		'id' => 'newsletter-sidebar',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	));
	register_sidebar(array(
			'name' => esc_html__('Footer-v1 Top', 'automatic'),
			'id' => 'footer-top-1',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => "</aside>",
			'before_title' => '<h4 class="widget-title hide">',
			'after_title' => '</h4>',
	));
	register_sidebar(array(
		'name' => esc_html__('Footer-v1 first Menu', 'automatic'),
		'id' => 'footerv1-menu1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	));
	register_sidebar(array(
		'name' => esc_html__('Footer-v1 second Menu', 'automatic'),
		'id' => 'footerv1-menu2',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	));
	register_sidebar(array(
		'name' => esc_html__('Footer-v1 third Menu', 'automatic'),
		'id' => 'footerv1-menu3',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	));
	register_sidebar(array(
		'name' => esc_html__('Footer-v1 fourth Menu', 'automatic'),
		'id' => 'footerv1-menu4',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	));
	register_sidebar(array(
			'name' => esc_html__('Footer-v1 five', 'automatic'),
			'id' => 'footerv1-col1',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => "</aside>",
			'before_title' => '<h3 class="widget-title">',
			'after_title' => '</h3>',
	));
	register_sidebar(array(
			'name' => esc_html__('Footer Subscribe', 'automatic'),
			'id' => 'footer-center',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => "</aside>",
			'before_title' => '<h4 class="widget-title hide">',
			'after_title' => '</h4>',
	));
	register_sidebar(array(
			'name' => esc_html__('Footer Logo', 'automatic'),
			'id' => 'footer-logo',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => "</aside>",
			'before_title' => '<h4 class="widget-title hide">',
			'after_title' => '</h4>',
	)); 
	register_sidebar(array(
			'name' => esc_html__('Footer-v2 Top', 'automatic'),
			'id' => 'footer-top-2',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => "</aside>",
			'before_title' => '<h4 class="widget-title hide">',
			'after_title' => '</h4>',
	));
	if (class_exists('Woocommerce')) {

		register_sidebar(array(
				'name' => esc_html__('Shop Sidebar', 'automatic'),
				'id' => 'shop-sidebar',
				'before_widget' => '<aside id="%1$s" class="widget %2$s">',
				'after_widget' => "</aside>",
				'before_title' => '<h3 class="widget-title">',
				'after_title' => '</h3>',
		));

		register_sidebar(array(
				'name' => esc_html__('Single Product Sidebar', 'automatic'),
				'id' => 'single-product-sidebar',
				'before_widget' => '<aside id="%1$s" class="widget %2$s">',
				'after_widget' => "</aside>",
				'before_title' => '<h3 class="widget-title">',
				'after_title' => '</h3>',
		));
		register_sidebar(array(
				'name' => esc_html__('Top Rated Product', 'automatic'),
				'id' => 'shop-rated-product',
				'before_widget' => '<aside id="%1$s" class="widget %2$s">',
				'after_widget' => "</aside>",
				'before_title' => '<h3 class="widget-title">',
				'after_title' => '</h3>',
		));
		register_sidebar(array(
				'name' => esc_html__('On Sale Products', 'automatic'),
				'id' => 'shop-onsale-product',
				'before_widget' => '<aside id="%1$s" class="widget %2$s">',
				'after_widget' => "</aside>",
				'before_title' => '<h3 class="widget-title">',
				'after_title' => '</h3>',
		));
		register_sidebar(array(
				'name' => esc_html__('Featured Product', 'automatic'),
				'id' => 'shop-featured',
				'before_widget' => '<aside id="%1$s" class="widget %2$s">',
				'after_widget' => "</aside>",
				'before_title' => '<h3 class="widget-title">',
				'after_title' => '</h3>',
		));
		register_sidebar(array(
				'name' => esc_html__('Tab Trending Products', 'automatic'),
				'id' => 'shop-trending-product',
				'before_widget' => '<aside id="%1$s" class="widget %2$s">',
				'after_widget' => "</aside>",
				'before_title' => '<h3 class="widget-title">',
				'after_title' => '</h3>',
		));  
		register_sidebar(array(
		   'name' => esc_html__('404 widget', 'automatic'),
		   'id' => '404',
		   'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		   'after_widget' => "</aside>",
		   'before_title' => '<h3 class="widget-title">',
		   'after_title' => '</h3>',
	  	));
	}
	
}